Download it now!
Bug 97693 - Problem with SVG <radialGradient> fx and fy attributes
Summary: Problem with SVG <radialGradient> fx and fy attributes
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.0.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2016-02-09 15:48 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-21 02:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample svg (1.42 KB, image/svg+xml)
2016-02-09 15:48 UTC, Yousuf Philips (jay) (retired)
Details
LibreOffice vs Opera (35.12 KB, image/png)
2016-02-09 15:49 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-09 15:48:58 UTC
Created attachment 122485 [details]
sample svg

Steps:
1) Open Writer
2) Insert attached SVG
3) Compare its rendering with rendering in a browser or Inkscape

The sample SVG was pulled from https://dev.w3.org/SVG/tools/svgweb/samples/svg-files/radialgradient2.svg

The old SVG implementation code found in 3.6.7 didnt have this problem.

Version: 5.2.0.0.alpha0+
Build ID: 6d68e88a0fc5a54bbb826379163bd0b9c6eae0fb
CPU Threads: 2; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-08_08:05:38
Locale: en-US (en_US.UTF-8)
Comment 1 Yousuf Philips (jay) (retired) 2016-02-09 15:49:20 UTC
Created attachment 122486 [details]
LibreOffice vs Opera
Comment 2 Buovjaga 2016-02-12 09:00:37 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)
Comment 3 QA Administrators 2017-03-06 16:03:54 UTC Comment hidden (obsolete)
Comment 4 Roman Kuznetsov 2018-06-20 13:12:08 UTC
still repro in LibreOffice 6.1 beta 2
Comment 5 QA Administrators 2019-06-21 02:52:51 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug